<?xml version="1.0" encoding="utf-8"?>
<ScrollView
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:padding="32dp">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <!-- Redirect on WiFi -->
        <com.google.android.material.materialswitch.MaterialSwitch
            android:id="@+id/switchRedirectWifi"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:text="@string/redirect_wifi"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintEnd_toEndOf="parent" />

        <!-- Redirect on Data -->
        <com.google.android.material.materialswitch.MaterialSwitch
            android:id="@+id/switchRedirectData"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:text="@string/redirect_data"
            app:layout_constraintTop_toBottomOf="@id/switchRedirectWifi"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            android:layout_marginTop="16dp" />

        <!-- Redirect only international numbers -->
        <com.google.android.material.materialswitch.MaterialSwitch
            android:id="@+id/switchRedirectInternational"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:text="@string/redirect_international"
            app:layout_constraintTop_toBottomOf="@id/switchRedirectData"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            android:layout_marginTop="16dp" />

        <!-- Redirect only on roaming -->
        <com.google.android.material.materialswitch.MaterialSwitch
            android:id="@+id/switchRedirectRoaming"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:text="@string/redirect_roaming"
            app:layout_constraintTop_toBottomOf="@id/switchRedirectInternational"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            android:layout_marginTop="16dp" />

    </androidx.constraintlayout.widget.ConstraintLayout>
</ScrollView>
